WordPress.org

Ready to get started?Download WordPress

Forums

Showing error after upgrading to 2.9 (8 posts)

  1. jakewc2
    Member
    Posted 4 years ago #

    I was running the up to date 2.8.something version ok, and today it showed an upgrade to 2.9. I upgraded using the automatic upgrade tool. Problem is, since the upgrade I get this error message

    Catchable fatal error: Object of class wordpress_gallery_slideshow could not be converted to string in /srv/mysite.co.uk/www/wp-includes/classes.php on line 273

    Can somebody help me to sort this out please?

    I am a novice when it comes to WP, so could you explain in simple terms.

    Thank you.

    John

  2. esmi
    Forum Moderator
    Posted 4 years ago #

    Have you tried:

    - deactivating all plugins to see if this resolves the problem? If this works, re-activate the plugins one by one until you find the problematic plugin(s).

    - switching to the default theme to rule out any theme-related problems?

  3. jakewc2
    Member
    Posted 4 years ago #

    Hi, thank you for your reply, cant get onto the site. It gives that error.

    look here

    http://www.furrycritters.co.uk

    John

  4. esmi
    Forum Moderator
    Posted 4 years ago #

  5. nsathees
    Member
    Posted 4 years ago #

    rename the plug-in folder should help. Particularly wordpress_gallery_slideshow plug-in

  6. neolec536
    Member
    Posted 4 years ago #

    In my case, it shows the following messages (on bottom-right side column) and I can't even log in:

    Fatal error: Call to undefined function: __destruct() in /home/chs/neolectum.com/home/html/blog/wp-includes/default-widgets.php on line 735

    Warning: Cannot modify header information - headers already sent by (output started at /home/chs/neolectum.com/home/html/blog/wp-content/plugins/static-toolbar/static-toolbar.php:74) in /home/chs/neolectum.com/home/html/blog/wp-includes/class-json.php on line 238

    Please, visit http://neolectum.com/blog/ to see what I'm talking about. (I've updated automatically from 2.8.5 to 2.9)

  7. Robert Chapin
    Member
    Posted 4 years ago #

    neolec536, please see http://wordpress.org/support/topic/343166

    And this should not prevent you from logging in if you click on http://neolectum.com/blog/wp-admin/

  8. neolec536
    Member
    Posted 4 years ago #

    @miqrogroove: thanks, I've bookmarked links to get in them tomorrow. I'll be back if don't figura out how to deal with it. Thanks again.

Topic Closed

This topic has been closed to new replies.

About this Topic

Tags